Deployed models

Manage models that are available for inference.
View as Markdown

A deployed model is a trained model made available for inference and explanations.

It references the model being served and the deployment configuration that defines how it is served.

Deploy a model

Deploy a model when you have a trained model and a deployment configuration ready.

POST
/deployed-models
1curl -X POST https://api.hi.umnai.com/deployed-models \
2 -H "Authorization: Bearer <token>" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "name": "Sample Deployed Model",
6 "model_id": "20f35e630daf44dbfa4c3f68f5399d8c",
7 "deployment_configuration_id": "8be6a0ea7db3303d3fb3568c0b583d9d"
8}'
Response
1{
2 "id": "abf66c365bddf8b064bdfe2ca5ee662a",
3 "account": {
4 "id": "e268443e43d93dab7ebef303bbe9642f",
5 "name": "Sample Account"
6 },
7 "name": "Sample Deployed Model",
8 "status": "STARTING",
9 "created_at": "2026-03-15T10:15:30.000000Z",
10 "model": {
11 "id": "20f35e630daf44dbfa4c3f68f5399d8c",
12 "name": "Sample Model"
13 },
14 "deployment_configuration": {
15 "id": "8be6a0ea7db3303d3fb3568c0b583d9d",
16 "name": "Sample Deployment Configuration"
17 },
18 "created_by": {
19 "id": "dad46b2058752ffde5eaf02f1eb6abd5",
20 "name": "Sample User"
21 },
22 "updated_at": "2026-03-15T10:15:30.000000Z",
23 "tags": [
24 {
25 "name": "Sample Tag"
26 }
27 ]
28}

Save the returned deployed model id. You will use it to monitor the deployment, query deployed model views, rename the deployment, or delete it when it is no longer needed.

Monitor deployment status

Retrieve a deployed model to check whether it is available for inference.

GET
/deployed-models/:deployedModelId
1curl https://api.hi.umnai.com/deployed-models/{deployedModelId} \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "status": "ACTIVE",
7 "created_at": "2026-03-11T16:04:19.749000Z",
8 "updated_at": null
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}

A deployed model is ready for inference when its status is RUNNING.

StatusMeaning
STARTINGThe deployment is being prepared.
RUNNINGThe deployed model is ready for inference.
FINALIZINGThe deployment is completing shutdown or cleanup tasks.
STOPPEDThe deployed model has been stopped.
FAILEDThe deployment stopped because of an error.
COMPLETEDThe deployment process completed successfully.

Retrieve deployed models

Retrieve deployed models when you need to find an existing deployment.

GET
/deployed-models
1curl https://api.hi.umnai.com/deployed-models \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "status": "ACTIVE",
7 "created_at": "2026-03-11T16:04:19.749000Z",
8 "updated_at": null
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}

Update a deployed model

Update a deployed model when you need to rename it.

PATCH
/deployed-models/:deployedModelId
1curl -X PATCH https://api.hi.umnai.com/deployed-models/deployedModelId \
2 -H "Authorization: Bearer <token>" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "name": "Sample Deployed Model"
6}'
Response
1{
2 "id": "abf66c365bddf8b064bdfe2ca5ee662a",
3 "account": {
4 "id": "e268443e43d93dab7ebef303bbe9642f",
5 "name": "Sample Account"
6 },
7 "name": "Sample Deployed Model",
8 "status": "STARTING",
9 "created_at": "2026-03-15T10:15:30.000000Z",
10 "model": {
11 "id": "20f35e630daf44dbfa4c3f68f5399d8c",
12 "name": "Sample Model"
13 },
14 "deployment_configuration": {
15 "id": "8be6a0ea7db3303d3fb3568c0b583d9d",
16 "name": "Sample Deployment Configuration"
17 },
18 "created_by": {
19 "id": "dad46b2058752ffde5eaf02f1eb6abd5",
20 "name": "Sample User"
21 },
22 "updated_at": "2026-03-15T10:15:30.000000Z",
23 "tags": [
24 {
25 "name": "Sample Tag"
26 }
27 ]
28}

Delete a deployed model

Delete a deployed model when it should no longer be available for inference.

DELETE
/deployed-models/:deployedModelId
1curl -X DELETE https://api.hi.umnai.com/deployed-models/deployedModelId \
2 -H "Authorization: Bearer <token>"

Views

Deployed model views help inspect inference results, explanations, diagnostics, and evaluation outputs.

In the platform, predictions and explanations are returned as view outputs. To query a deployed model, generate a deployed model view such as the Results view and include the query rows in the view request.